Foreman - Bug #1483

Edit Hosts privilege not working
02/07/2012 07:30 AM - Roger Spencer
Category:

Target version:

Closed

Normal

Greg Sutcliffe

Users, Roles and Permissions

1.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Granting a user "Edit Hosts" privileges does not work. Any attempt to edit a host fails. Only when "Create hosts" is granted is the
user able to edit hosts. Of course, now they can create new hosts which is undesirable.

Currently seen in version 0.4.2.

History

#1 - 02/07/2012 07:33 AM - Roger Spencer

Should note the privilege made by creating a new role and adding view_hosts and edit_hosts permissions to it. User is then placed in that role.

#2 - 02/09/2012 06:49 AM - Ohad Levy

- Assignee set to Greg Sutcliffe

Hi Greg,

Mind having a look if you have time?

10x

#3 - 02/11/2012 01:16 PM - Greg Sutcliffe

Confirmed on 0.4.2. However, on my permissions branch, this is already fixed, since | refactored how hosts get edited anyway :)

Fixed in 3aa520f441 awaiting merge.

#4 - 02/11/2012 01:16 PM - Greg Sutcliffe

- Target version set to 1.0

- % Done changed from 0 to 100

#5 - 02/23/2012 08:33 AM - Greg Sutcliffe

- Status changed from New to Closed

Applied in changeset 54358a76e4fc7355¢51404{6888cb66600a27fdc.
https://github.com/GregSutcliffe/foreman/commit/3aa520f441c002c20a9fb66a790a717364aad745
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/54358a76e4fc7355c51404f6888cb66600a27fdc
